# ACH Transactions

## Validate ACH Transaction

> Validate the ACH bank account without creating or submitting a transaction.

```json
{"openapi":"3.0.1","info":{"title":"ACH Transaction API","version":"2.0"},"paths":{"/rest/v2/ach/transactions/validate":{"post":{"tags":["ACH Transactions"],"summary":"Validate ACH Transaction","description":"Validate the ACH bank account without creating or submitting a transaction.","operationId":"handleValidation","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Model of an ach-transaction request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ach-transaction"}}},"required":true},"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AchTransactionResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AchTransactionResponsePayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}}}}},"components":{"schemas":{"ach-transaction":{"required":["account-number","account-type","routing-number","standard-entry-class-code","type"],"type":"object","properties":{"type":{"type":"string","description":"Type of the ACH transaction.","enum":["Debit","Credit"]},"amount":{"type":"string","description":"The transaction amount."},"status":{"type":"string","description":"Current status of the ACH transaction. Possible values: Pending, Settling, Settled, Returned.","enum":["Pending","Settling","Settled","Returned","Writing","Declined","Not_Confirmed","Sent","Rejected","Funded","Partially_Funded","Completed"]},"checkStatus":{"type":"string","description":"Check status of the ACH transaction. Possible values: Pending, Rejected, Debit Sent, Cancelled.","enum":["Pending","Rejected","Debit Sent","Cancelled","Credit Sent","Unprocessed"]},"fundingStatus":{"type":"string","description":"Funding status of the ACH transaction. Possible values: Pending, No Credit, Credit Sent, Chargeback.","enum":["Pending","No Credit","Credit Sent","Chargeback","Debit Sent","Unprocessed"]},"routing-number":{"type":"string","description":"Bank routing number associated with the transaction."},"account-number":{"type":"string","description":"Last four digits of the bank account number."},"account-type":{"type":"string","description":"Type of bank account.","enum":["Checking","Savings"]},"standard-entry-class-code":{"type":"string","description":"ACH Standard Entry Class (SEC) code. For example, PPD.","enum":["PPD"]},"check-number":{"type":"string","description":"Check number used for duplicate transaction validation."},"individual-name":{"type":"string","description":"Name associated with the bank account."},"id":{"type":"string","description":"Unique identifier of the ACH transaction."},"billing":{"$ref":"#/components/schemas/Address"},"shipping":{"$ref":"#/components/schemas/Address"},"invoice":{"type":"string","description":"Invoice number associated with the transaction."},"purchase-order":{"type":"string","description":"Purchase order number."},"customer-id":{"type":"string","description":"A merchant-defined customer identifier."},"order-id":{"type":"string","description":"A merchant-defined order identifier."},"email-address":{"type":"string","description":"The customer's email address."},"description":{"type":"string","description":"Short description of the transaction."},"comments":{"type":"string","description":"Additional comments associated with the transaction."},"billing-is-shipping":{"type":"string","description":"Indicates whether the billing and shipping addresses are the same.","enum":["true","false"]},"status-change-date":{"type":"string","description":"Date and time when the transaction status last changed (UTC)."},"display-message":{"type":"string","description":"A message describing the transaction status."},"provider-transaction-id":{"type":"string","description":"Transaction identifier assigned by the ACH provider."},"trace-number":{"type":"string","description":"ACH trace number associated with a settled or returned transaction."},"settled-date":{"type":"string","description":"Date and time when the transaction was settled (UTC)."},"returned-date":{"type":"string","description":"Date and time when the transaction was returned (UTC)."},"returned-code":{"type":"string","description":"NACHA return code for a returned transaction."},"returned-message":{"type":"string","description":"The description of the return reason."},"ach-token":{"$ref":"#/components/schemas/Ach Token Response"},"merchant-id":{"type":"string","description":"The merchant identifier associated with the token."},"terminal-id":{"type":"string","description":"Identifier of the terminal or API key used to create the transaction."},"software-type":{"type":"string","description":"Name of the software application that submitted the transaction."},"paya-authorization":{"type":"string","description":"Authorization reference returned by the Paya."},"processing-type":{"type":"string","description":"Processing type of the transaction."},"external-transaction-reference":{"type":"string","description":"Identifies the transaction reference provided by the requester and must be unique per requester."},"execution-date":{"type":"string","description":"Date when the ACH transaction is executed."},"token-id":{"type":"string","description":"Identifier for the ACH payment token."},"create-date":{"type":"string","description":"Date when the ACH transaction was created."},"micr-data":{"type":"string","description":"Contains the MICR data printed on the check."},"image-front-edoc-id":{"type":"string","description":"eDocs document ID for the front image of the check."},"image-back-edoc-id":{"type":"string","description":"eDocs document ID for the back image of the check."},"image-front":{"type":"string","description":"Check's front image as Base64."},"image-back":{"type":"string","description":"Check's back image as Base64."}},"description":"This model represents the ach transaction in the response","xml":{"name":"ach-transaction"}},"Address":{"type":"object","properties":{"company":{"type":"string","description":"Company name for the billing address."},"street":{"type":"string","description":"Primary street address."},"street2":{"type":"string","description":"Additional street address information."},"city":{"type":"string","description":"City of the billing address."},"state":{"type":"string","description":"The state of the billing address."},"zip":{"type":"string","description":"Postal code of billing address."},"country":{"type":"string","description":"Country of the billing address."},"phone":{"type":"string","description":"Primary contact phone number."},"first-name":{"type":"string","description":"First name of the contact."},"last-name":{"type":"string","description":"Last name of the contact."}},"description":"Contains shipping address and contact details.","xml":{"name":"address"}},"Ach Token Response":{"type":"object","properties":{"token-id":{"type":"string","description":"Unique identifier of the ACH token."},"times-used":{"type":"integer","description":"Number of times the token has been used in an ACH transaction.","format":"int32"},"last-used":{"type":"string","description":"Date and time when the token was last used (UTC)."},"merchant-id":{"type":"string","description":"The merchant's unique identification number associated with the token."},"routing-number":{"type":"string","description":"Bank routing number"},"account-number":{"type":"string","description":"Masked or last four digits of the bank account number."},"account-type":{"type":"string","description":"Type of the bank account. Possible values: Checking, Savings.","enum":["Checking","Savings"]},"individual-name":{"type":"string","description":"Name associated with the bank account."},"token-description":{"type":"string","description":"A brief description of the ACH token."},"created":{"type":"string","description":"Date and time when the token was created (UTC)."},"updated":{"type":"string","description":"Date and time when the token was last updated (UTC)."},"customer-key":{"type":"string","description":"Unique customer key associated with the token."},"default":{"type":"boolean","description":"Indicates whether this token is the default for the card number."}},"description":"Tokenized ACH account information.","xml":{"name":"ach-token"}},"AchTransactionResponsePayload":{"type":"object","properties":{"ach-transaction":{"$ref":"#/components/schemas/ach-transaction"},"payloadType":{"type":"string","description":"Type of the payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorResult":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the error type."},"title":{"type":"string","description":"Human-readable summary of the problem."},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32"},"detail":{"type":"string","description":"Detailed explanation of the problem for this occurrence."},"instance":{"type":"string","description":"URI reference that identifies this specific error occurrence."}},"description":"Contains one or more error objects returned"}}}}
```

## Create ACH Transaction Reversal

> Create a reversal for a submitted ACH transaction (PAYA only).

```json
{"openapi":"3.0.1","info":{"title":"ACH Transaction API","version":"2.0"},"paths":{"/rest/v2/ach/transactions/reversal":{"post":{"tags":["ACH Transactions"],"summary":"Create ACH Transaction Reversal","description":"Create a reversal for a submitted ACH transaction (PAYA only).","operationId":"handleReversalTransaction","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Model of an ach-transaction request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ach-transaction"}}},"required":true},"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AchTransactionResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AchTransactionResponsePayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}}}}},"components":{"schemas":{"ach-transaction":{"required":["account-number","account-type","routing-number","standard-entry-class-code","type"],"type":"object","properties":{"type":{"type":"string","description":"Type of the ACH transaction.","enum":["Debit","Credit"]},"amount":{"type":"string","description":"The transaction amount."},"status":{"type":"string","description":"Current status of the ACH transaction. Possible values: Pending, Settling, Settled, Returned.","enum":["Pending","Settling","Settled","Returned","Writing","Declined","Not_Confirmed","Sent","Rejected","Funded","Partially_Funded","Completed"]},"checkStatus":{"type":"string","description":"Check status of the ACH transaction. Possible values: Pending, Rejected, Debit Sent, Cancelled.","enum":["Pending","Rejected","Debit Sent","Cancelled","Credit Sent","Unprocessed"]},"fundingStatus":{"type":"string","description":"Funding status of the ACH transaction. Possible values: Pending, No Credit, Credit Sent, Chargeback.","enum":["Pending","No Credit","Credit Sent","Chargeback","Debit Sent","Unprocessed"]},"routing-number":{"type":"string","description":"Bank routing number associated with the transaction."},"account-number":{"type":"string","description":"Last four digits of the bank account number."},"account-type":{"type":"string","description":"Type of bank account.","enum":["Checking","Savings"]},"standard-entry-class-code":{"type":"string","description":"ACH Standard Entry Class (SEC) code. For example, PPD.","enum":["PPD"]},"check-number":{"type":"string","description":"Check number used for duplicate transaction validation."},"individual-name":{"type":"string","description":"Name associated with the bank account."},"id":{"type":"string","description":"Unique identifier of the ACH transaction."},"billing":{"$ref":"#/components/schemas/Address"},"shipping":{"$ref":"#/components/schemas/Address"},"invoice":{"type":"string","description":"Invoice number associated with the transaction."},"purchase-order":{"type":"string","description":"Purchase order number."},"customer-id":{"type":"string","description":"A merchant-defined customer identifier."},"order-id":{"type":"string","description":"A merchant-defined order identifier."},"email-address":{"type":"string","description":"The customer's email address."},"description":{"type":"string","description":"Short description of the transaction."},"comments":{"type":"string","description":"Additional comments associated with the transaction."},"billing-is-shipping":{"type":"string","description":"Indicates whether the billing and shipping addresses are the same.","enum":["true","false"]},"status-change-date":{"type":"string","description":"Date and time when the transaction status last changed (UTC)."},"display-message":{"type":"string","description":"A message describing the transaction status."},"provider-transaction-id":{"type":"string","description":"Transaction identifier assigned by the ACH provider."},"trace-number":{"type":"string","description":"ACH trace number associated with a settled or returned transaction."},"settled-date":{"type":"string","description":"Date and time when the transaction was settled (UTC)."},"returned-date":{"type":"string","description":"Date and time when the transaction was returned (UTC)."},"returned-code":{"type":"string","description":"NACHA return code for a returned transaction."},"returned-message":{"type":"string","description":"The description of the return reason."},"ach-token":{"$ref":"#/components/schemas/Ach Token Response"},"merchant-id":{"type":"string","description":"The merchant identifier associated with the token."},"terminal-id":{"type":"string","description":"Identifier of the terminal or API key used to create the transaction."},"software-type":{"type":"string","description":"Name of the software application that submitted the transaction."},"paya-authorization":{"type":"string","description":"Authorization reference returned by the Paya."},"processing-type":{"type":"string","description":"Processing type of the transaction."},"external-transaction-reference":{"type":"string","description":"Identifies the transaction reference provided by the requester and must be unique per requester."},"execution-date":{"type":"string","description":"Date when the ACH transaction is executed."},"token-id":{"type":"string","description":"Identifier for the ACH payment token."},"create-date":{"type":"string","description":"Date when the ACH transaction was created."},"micr-data":{"type":"string","description":"Contains the MICR data printed on the check."},"image-front-edoc-id":{"type":"string","description":"eDocs document ID for the front image of the check."},"image-back-edoc-id":{"type":"string","description":"eDocs document ID for the back image of the check."},"image-front":{"type":"string","description":"Check's front image as Base64."},"image-back":{"type":"string","description":"Check's back image as Base64."}},"description":"This model represents the ach transaction in the response","xml":{"name":"ach-transaction"}},"Address":{"type":"object","properties":{"company":{"type":"string","description":"Company name for the billing address."},"street":{"type":"string","description":"Primary street address."},"street2":{"type":"string","description":"Additional street address information."},"city":{"type":"string","description":"City of the billing address."},"state":{"type":"string","description":"The state of the billing address."},"zip":{"type":"string","description":"Postal code of billing address."},"country":{"type":"string","description":"Country of the billing address."},"phone":{"type":"string","description":"Primary contact phone number."},"first-name":{"type":"string","description":"First name of the contact."},"last-name":{"type":"string","description":"Last name of the contact."}},"description":"Contains shipping address and contact details.","xml":{"name":"address"}},"Ach Token Response":{"type":"object","properties":{"token-id":{"type":"string","description":"Unique identifier of the ACH token."},"times-used":{"type":"integer","description":"Number of times the token has been used in an ACH transaction.","format":"int32"},"last-used":{"type":"string","description":"Date and time when the token was last used (UTC)."},"merchant-id":{"type":"string","description":"The merchant's unique identification number associated with the token."},"routing-number":{"type":"string","description":"Bank routing number"},"account-number":{"type":"string","description":"Masked or last four digits of the bank account number."},"account-type":{"type":"string","description":"Type of the bank account. Possible values: Checking, Savings.","enum":["Checking","Savings"]},"individual-name":{"type":"string","description":"Name associated with the bank account."},"token-description":{"type":"string","description":"A brief description of the ACH token."},"created":{"type":"string","description":"Date and time when the token was created (UTC)."},"updated":{"type":"string","description":"Date and time when the token was last updated (UTC)."},"customer-key":{"type":"string","description":"Unique customer key associated with the token."},"default":{"type":"boolean","description":"Indicates whether this token is the default for the card number."}},"description":"Tokenized ACH account information.","xml":{"name":"ach-token"}},"AchTransactionResponsePayload":{"type":"object","properties":{"ach-transaction":{"$ref":"#/components/schemas/ach-transaction"},"payloadType":{"type":"string","description":"Type of the payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorResult":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the error type."},"title":{"type":"string","description":"Human-readable summary of the problem."},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32"},"detail":{"type":"string","description":"Detailed explanation of the problem for this occurrence."},"instance":{"type":"string","description":"URI reference that identifies this specific error occurrence."}},"description":"Contains one or more error objects returned"}}}}
```

## Create ACH Debit Transaction

> Create an ACH debit transaction to withdraw funds from the customer's bank account and deposit them into the merchant's bank account.

```json
{"openapi":"3.0.1","info":{"title":"ACH Transaction API","version":"2.0"},"paths":{"/rest/v2/ach/transactions/debit":{"post":{"tags":["ACH Transactions"],"summary":"Create ACH Debit Transaction","description":"Create an ACH debit transaction to withdraw funds from the customer's bank account and deposit them into the merchant's bank account.","operationId":"handleDebitTransaction","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Model of an ach-transaction request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ach-transaction"}}},"required":true},"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AchTransactionResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AchTransactionResponsePayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}}}}},"components":{"schemas":{"ach-transaction":{"required":["account-number","account-type","routing-number","standard-entry-class-code","type"],"type":"object","properties":{"type":{"type":"string","description":"Type of the ACH transaction.","enum":["Debit","Credit"]},"amount":{"type":"string","description":"The transaction amount."},"status":{"type":"string","description":"Current status of the ACH transaction. Possible values: Pending, Settling, Settled, Returned.","enum":["Pending","Settling","Settled","Returned","Writing","Declined","Not_Confirmed","Sent","Rejected","Funded","Partially_Funded","Completed"]},"checkStatus":{"type":"string","description":"Check status of the ACH transaction. Possible values: Pending, Rejected, Debit Sent, Cancelled.","enum":["Pending","Rejected","Debit Sent","Cancelled","Credit Sent","Unprocessed"]},"fundingStatus":{"type":"string","description":"Funding status of the ACH transaction. Possible values: Pending, No Credit, Credit Sent, Chargeback.","enum":["Pending","No Credit","Credit Sent","Chargeback","Debit Sent","Unprocessed"]},"routing-number":{"type":"string","description":"Bank routing number associated with the transaction."},"account-number":{"type":"string","description":"Last four digits of the bank account number."},"account-type":{"type":"string","description":"Type of bank account.","enum":["Checking","Savings"]},"standard-entry-class-code":{"type":"string","description":"ACH Standard Entry Class (SEC) code. For example, PPD.","enum":["PPD"]},"check-number":{"type":"string","description":"Check number used for duplicate transaction validation."},"individual-name":{"type":"string","description":"Name associated with the bank account."},"id":{"type":"string","description":"Unique identifier of the ACH transaction."},"billing":{"$ref":"#/components/schemas/Address"},"shipping":{"$ref":"#/components/schemas/Address"},"invoice":{"type":"string","description":"Invoice number associated with the transaction."},"purchase-order":{"type":"string","description":"Purchase order number."},"customer-id":{"type":"string","description":"A merchant-defined customer identifier."},"order-id":{"type":"string","description":"A merchant-defined order identifier."},"email-address":{"type":"string","description":"The customer's email address."},"description":{"type":"string","description":"Short description of the transaction."},"comments":{"type":"string","description":"Additional comments associated with the transaction."},"billing-is-shipping":{"type":"string","description":"Indicates whether the billing and shipping addresses are the same.","enum":["true","false"]},"status-change-date":{"type":"string","description":"Date and time when the transaction status last changed (UTC)."},"display-message":{"type":"string","description":"A message describing the transaction status."},"provider-transaction-id":{"type":"string","description":"Transaction identifier assigned by the ACH provider."},"trace-number":{"type":"string","description":"ACH trace number associated with a settled or returned transaction."},"settled-date":{"type":"string","description":"Date and time when the transaction was settled (UTC)."},"returned-date":{"type":"string","description":"Date and time when the transaction was returned (UTC)."},"returned-code":{"type":"string","description":"NACHA return code for a returned transaction."},"returned-message":{"type":"string","description":"The description of the return reason."},"ach-token":{"$ref":"#/components/schemas/Ach Token Response"},"merchant-id":{"type":"string","description":"The merchant identifier associated with the token."},"terminal-id":{"type":"string","description":"Identifier of the terminal or API key used to create the transaction."},"software-type":{"type":"string","description":"Name of the software application that submitted the transaction."},"paya-authorization":{"type":"string","description":"Authorization reference returned by the Paya."},"processing-type":{"type":"string","description":"Processing type of the transaction."},"external-transaction-reference":{"type":"string","description":"Identifies the transaction reference provided by the requester and must be unique per requester."},"execution-date":{"type":"string","description":"Date when the ACH transaction is executed."},"token-id":{"type":"string","description":"Identifier for the ACH payment token."},"create-date":{"type":"string","description":"Date when the ACH transaction was created."},"micr-data":{"type":"string","description":"Contains the MICR data printed on the check."},"image-front-edoc-id":{"type":"string","description":"eDocs document ID for the front image of the check."},"image-back-edoc-id":{"type":"string","description":"eDocs document ID for the back image of the check."},"image-front":{"type":"string","description":"Check's front image as Base64."},"image-back":{"type":"string","description":"Check's back image as Base64."}},"description":"This model represents the ach transaction in the response","xml":{"name":"ach-transaction"}},"Address":{"type":"object","properties":{"company":{"type":"string","description":"Company name for the billing address."},"street":{"type":"string","description":"Primary street address."},"street2":{"type":"string","description":"Additional street address information."},"city":{"type":"string","description":"City of the billing address."},"state":{"type":"string","description":"The state of the billing address."},"zip":{"type":"string","description":"Postal code of billing address."},"country":{"type":"string","description":"Country of the billing address."},"phone":{"type":"string","description":"Primary contact phone number."},"first-name":{"type":"string","description":"First name of the contact."},"last-name":{"type":"string","description":"Last name of the contact."}},"description":"Contains shipping address and contact details.","xml":{"name":"address"}},"Ach Token Response":{"type":"object","properties":{"token-id":{"type":"string","description":"Unique identifier of the ACH token."},"times-used":{"type":"integer","description":"Number of times the token has been used in an ACH transaction.","format":"int32"},"last-used":{"type":"string","description":"Date and time when the token was last used (UTC)."},"merchant-id":{"type":"string","description":"The merchant's unique identification number associated with the token."},"routing-number":{"type":"string","description":"Bank routing number"},"account-number":{"type":"string","description":"Masked or last four digits of the bank account number."},"account-type":{"type":"string","description":"Type of the bank account. Possible values: Checking, Savings.","enum":["Checking","Savings"]},"individual-name":{"type":"string","description":"Name associated with the bank account."},"token-description":{"type":"string","description":"A brief description of the ACH token."},"created":{"type":"string","description":"Date and time when the token was created (UTC)."},"updated":{"type":"string","description":"Date and time when the token was last updated (UTC)."},"customer-key":{"type":"string","description":"Unique customer key associated with the token."},"default":{"type":"boolean","description":"Indicates whether this token is the default for the card number."}},"description":"Tokenized ACH account information.","xml":{"name":"ach-token"}},"AchTransactionResponsePayload":{"type":"object","properties":{"ach-transaction":{"$ref":"#/components/schemas/ach-transaction"},"payloadType":{"type":"string","description":"Type of the payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorResult":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the error type."},"title":{"type":"string","description":"Human-readable summary of the problem."},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32"},"detail":{"type":"string","description":"Detailed explanation of the problem for this occurrence."},"instance":{"type":"string","description":"URI reference that identifies this specific error occurrence."}},"description":"Contains one or more error objects returned"}}}}
```

## Create ACH Credit Transaction

> Create an ACH credit transaction to transfer funds from the merchant's bank account to the customer's bank account.

```json
{"openapi":"3.0.1","info":{"title":"ACH Transaction API","version":"2.0"},"paths":{"/rest/v2/ach/transactions/credit":{"post":{"tags":["ACH Transactions"],"summary":"Create ACH Credit Transaction","description":"Create an ACH credit transaction to transfer funds from the merchant's bank account to the customer's bank account.","operationId":"handleCreditTransaction","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Model of an ach-transaction request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ach-transaction"}}},"required":true},"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AchTransactionResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AchTransactionResponsePayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}}}}},"components":{"schemas":{"ach-transaction":{"required":["account-number","account-type","routing-number","standard-entry-class-code","type"],"type":"object","properties":{"type":{"type":"string","description":"Type of the ACH transaction.","enum":["Debit","Credit"]},"amount":{"type":"string","description":"The transaction amount."},"status":{"type":"string","description":"Current status of the ACH transaction. Possible values: Pending, Settling, Settled, Returned.","enum":["Pending","Settling","Settled","Returned","Writing","Declined","Not_Confirmed","Sent","Rejected","Funded","Partially_Funded","Completed"]},"checkStatus":{"type":"string","description":"Check status of the ACH transaction. Possible values: Pending, Rejected, Debit Sent, Cancelled.","enum":["Pending","Rejected","Debit Sent","Cancelled","Credit Sent","Unprocessed"]},"fundingStatus":{"type":"string","description":"Funding status of the ACH transaction. Possible values: Pending, No Credit, Credit Sent, Chargeback.","enum":["Pending","No Credit","Credit Sent","Chargeback","Debit Sent","Unprocessed"]},"routing-number":{"type":"string","description":"Bank routing number associated with the transaction."},"account-number":{"type":"string","description":"Last four digits of the bank account number."},"account-type":{"type":"string","description":"Type of bank account.","enum":["Checking","Savings"]},"standard-entry-class-code":{"type":"string","description":"ACH Standard Entry Class (SEC) code. For example, PPD.","enum":["PPD"]},"check-number":{"type":"string","description":"Check number used for duplicate transaction validation."},"individual-name":{"type":"string","description":"Name associated with the bank account."},"id":{"type":"string","description":"Unique identifier of the ACH transaction."},"billing":{"$ref":"#/components/schemas/Address"},"shipping":{"$ref":"#/components/schemas/Address"},"invoice":{"type":"string","description":"Invoice number associated with the transaction."},"purchase-order":{"type":"string","description":"Purchase order number."},"customer-id":{"type":"string","description":"A merchant-defined customer identifier."},"order-id":{"type":"string","description":"A merchant-defined order identifier."},"email-address":{"type":"string","description":"The customer's email address."},"description":{"type":"string","description":"Short description of the transaction."},"comments":{"type":"string","description":"Additional comments associated with the transaction."},"billing-is-shipping":{"type":"string","description":"Indicates whether the billing and shipping addresses are the same.","enum":["true","false"]},"status-change-date":{"type":"string","description":"Date and time when the transaction status last changed (UTC)."},"display-message":{"type":"string","description":"A message describing the transaction status."},"provider-transaction-id":{"type":"string","description":"Transaction identifier assigned by the ACH provider."},"trace-number":{"type":"string","description":"ACH trace number associated with a settled or returned transaction."},"settled-date":{"type":"string","description":"Date and time when the transaction was settled (UTC)."},"returned-date":{"type":"string","description":"Date and time when the transaction was returned (UTC)."},"returned-code":{"type":"string","description":"NACHA return code for a returned transaction."},"returned-message":{"type":"string","description":"The description of the return reason."},"ach-token":{"$ref":"#/components/schemas/Ach Token Response"},"merchant-id":{"type":"string","description":"The merchant identifier associated with the token."},"terminal-id":{"type":"string","description":"Identifier of the terminal or API key used to create the transaction."},"software-type":{"type":"string","description":"Name of the software application that submitted the transaction."},"paya-authorization":{"type":"string","description":"Authorization reference returned by the Paya."},"processing-type":{"type":"string","description":"Processing type of the transaction."},"external-transaction-reference":{"type":"string","description":"Identifies the transaction reference provided by the requester and must be unique per requester."},"execution-date":{"type":"string","description":"Date when the ACH transaction is executed."},"token-id":{"type":"string","description":"Identifier for the ACH payment token."},"create-date":{"type":"string","description":"Date when the ACH transaction was created."},"micr-data":{"type":"string","description":"Contains the MICR data printed on the check."},"image-front-edoc-id":{"type":"string","description":"eDocs document ID for the front image of the check."},"image-back-edoc-id":{"type":"string","description":"eDocs document ID for the back image of the check."},"image-front":{"type":"string","description":"Check's front image as Base64."},"image-back":{"type":"string","description":"Check's back image as Base64."}},"description":"This model represents the ach transaction in the response","xml":{"name":"ach-transaction"}},"Address":{"type":"object","properties":{"company":{"type":"string","description":"Company name for the billing address."},"street":{"type":"string","description":"Primary street address."},"street2":{"type":"string","description":"Additional street address information."},"city":{"type":"string","description":"City of the billing address."},"state":{"type":"string","description":"The state of the billing address."},"zip":{"type":"string","description":"Postal code of billing address."},"country":{"type":"string","description":"Country of the billing address."},"phone":{"type":"string","description":"Primary contact phone number."},"first-name":{"type":"string","description":"First name of the contact."},"last-name":{"type":"string","description":"Last name of the contact."}},"description":"Contains shipping address and contact details.","xml":{"name":"address"}},"Ach Token Response":{"type":"object","properties":{"token-id":{"type":"string","description":"Unique identifier of the ACH token."},"times-used":{"type":"integer","description":"Number of times the token has been used in an ACH transaction.","format":"int32"},"last-used":{"type":"string","description":"Date and time when the token was last used (UTC)."},"merchant-id":{"type":"string","description":"The merchant's unique identification number associated with the token."},"routing-number":{"type":"string","description":"Bank routing number"},"account-number":{"type":"string","description":"Masked or last four digits of the bank account number."},"account-type":{"type":"string","description":"Type of the bank account. Possible values: Checking, Savings.","enum":["Checking","Savings"]},"individual-name":{"type":"string","description":"Name associated with the bank account."},"token-description":{"type":"string","description":"A brief description of the ACH token."},"created":{"type":"string","description":"Date and time when the token was created (UTC)."},"updated":{"type":"string","description":"Date and time when the token was last updated (UTC)."},"customer-key":{"type":"string","description":"Unique customer key associated with the token."},"default":{"type":"boolean","description":"Indicates whether this token is the default for the card number."}},"description":"Tokenized ACH account information.","xml":{"name":"ach-token"}},"AchTransactionResponsePayload":{"type":"object","properties":{"ach-transaction":{"$ref":"#/components/schemas/ach-transaction"},"payloadType":{"type":"string","description":"Type of the payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorResult":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the error type."},"title":{"type":"string","description":"Human-readable summary of the problem."},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32"},"detail":{"type":"string","description":"Detailed explanation of the problem for this occurrence."},"instance":{"type":"string","description":"URI reference that identifies this specific error occurrence."}},"description":"Contains one or more error objects returned"}}}}
```

## Search ACH Transactions

> Retrieve a paginated list of ACH transactions based on filtering and sorting capabilities.

```json
{"openapi":"3.0.1","info":{"title":"ACH Transaction API","version":"2.0"},"paths":{"/rest/v2/ach/transactions":{"get":{"tags":["ACH Transactions"],"summary":"Search ACH Transactions","description":"Retrieve a paginated list of ACH transactions based on filtering and sorting capabilities.","operationId":"handleSearch","parameters":[{"name":"api-key","in":"header","description":"API key assigned to the merchant","required":true,"schema":{"type":"string"}},{"name":"id","in":"query","description":"Unique identifier of the ACH transaction","schema":{"type":"string"}},{"name":"type","in":"query","description":"Type of ACH transaction. Possible values: Debit, Credit.","schema":{"type":"string","enum":["Debit","Credit"]}},{"name":"amount","in":"query","description":"Amount of the ACH transaction","schema":{"type":"number","format":"double"}},{"name":"routing-number","in":"query","description":"Bank routing number associated with the transaction","schema":{"type":"string"}},{"name":"account-type","in":"query","description":"Type of bank account used for the transaction (Checking or Savings)","schema":{"type":"string","enum":["Checking","Savings"]}},{"name":"trace-number","in":"query","description":"ACH trace number assigned to the transaction","schema":{"type":"string"}},{"name":"check-number","in":"query","description":"Check number associated with the transaction","schema":{"type":"string"}},{"name":"invoice","in":"query","description":"Invoice number associated with the transaction","schema":{"type":"string"}},{"name":"date-filter","in":"query","description":"Predefined date range used to filter transactions. Dates stored in UTC.","schema":{"type":"string","enum":["last_24_hours","yesterday","last_week","last_month","last_180_days","custom_range"]}},{"name":"status-change-start-date","in":"query","description":"Filters transactions processed after the specified UTC date/time. Use with status-change-end-date to define a range","schema":{"type":"string"}},{"name":"status-change-end-date","in":"query","description":"Filters transactions processed before the specified UTC date/time. Use with status-change-start-date to define a range","schema":{"type":"string"}},{"name":"date-format","in":"query","description":"Format used for start/end date values (UTC). Allowed values: MM-dd-yyyy hh:mm a, MM-dd-yy HH:mm, MM-dd-yy HH:mm z, yyyy-MM-dd HH:mm, yyyy-MM-dd HH:mm z","schema":{"type":"string","enum":["MM-dd-yyyy hh:mm a","MM-dd-yy HH:mm","MM-dd-yy HH:mm z","yyyy-MM-dd HH:mm","yyyy-MM-dd HH:mm z"]}},{"name":"order-id","in":"query","description":"Order identifier associated with the transaction","schema":{"type":"string"}},{"name":"page","in":"query","description":"Page number of results to return when pagination is applied.","schema":{"minimum":0,"type":"integer"}},{"name":"page-size","in":"query","description":"Number of results to return per page (default 25)","schema":{"type":"integer","default":25}},{"name":"order-by","in":"query","description":"Field name used to sort the results. Use in combination with the descending parameter.","schema":{"type":"string"}},{"name":"purchase-order","in":"query","description":"Purchase order number associated with the transaction","schema":{"type":"string"}},{"name":"customer-id","in":"query","description":"Identifier of the customer associated with the transaction","schema":{"type":"string"}},{"name":"description","in":"query","description":"Description associated with the transaction","schema":{"type":"string"}},{"name":"status","in":"query","description":"Current status of the ACH transaction. Allowed values: Pending, Settling, Settled, Returned","schema":{"type":"string","enum":["Pending","Settling","Settled","Returned","Writing","Declined","Not_Confirmed","Sent","Rejected","Funded","Partially_Funded","Completed"]}},{"name":"standard-entry-class-code","in":"query","description":"Standard Entry Class (SEC) code that identifies the ACH transaction type (value: PPD)","schema":{"type":"string","enum":["PPD"]}},{"name":"email-address","in":"query","description":"Email address associated with the transaction or customer","schema":{"type":"string"}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AchTransactionsResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AchTransactionsResponsePayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}}}}},"components":{"schemas":{"AchTransactionsResponsePayload":{"type":"object","properties":{"ach-transactions":{"$ref":"#/components/schemas/AchTransactions"},"payloadType":{"type":"string","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"AchTransactions":{"type":"object","properties":{"ach-transaction":{"type":"array","items":{"$ref":"#/components/schemas/ach-transaction"}}},"xml":{"name":"ach-transactions"}},"ach-transaction":{"required":["account-number","account-type","routing-number","standard-entry-class-code","type"],"type":"object","properties":{"type":{"type":"string","description":"Type of the ACH transaction.","enum":["Debit","Credit"]},"amount":{"type":"string","description":"The transaction amount."},"status":{"type":"string","description":"Current status of the ACH transaction. Possible values: Pending, Settling, Settled, Returned.","enum":["Pending","Settling","Settled","Returned","Writing","Declined","Not_Confirmed","Sent","Rejected","Funded","Partially_Funded","Completed"]},"checkStatus":{"type":"string","description":"Check status of the ACH transaction. Possible values: Pending, Rejected, Debit Sent, Cancelled.","enum":["Pending","Rejected","Debit Sent","Cancelled","Credit Sent","Unprocessed"]},"fundingStatus":{"type":"string","description":"Funding status of the ACH transaction. Possible values: Pending, No Credit, Credit Sent, Chargeback.","enum":["Pending","No Credit","Credit Sent","Chargeback","Debit Sent","Unprocessed"]},"routing-number":{"type":"string","description":"Bank routing number associated with the transaction."},"account-number":{"type":"string","description":"Last four digits of the bank account number."},"account-type":{"type":"string","description":"Type of bank account.","enum":["Checking","Savings"]},"standard-entry-class-code":{"type":"string","description":"ACH Standard Entry Class (SEC) code. For example, PPD.","enum":["PPD"]},"check-number":{"type":"string","description":"Check number used for duplicate transaction validation."},"individual-name":{"type":"string","description":"Name associated with the bank account."},"id":{"type":"string","description":"Unique identifier of the ACH transaction."},"billing":{"$ref":"#/components/schemas/Address"},"shipping":{"$ref":"#/components/schemas/Address"},"invoice":{"type":"string","description":"Invoice number associated with the transaction."},"purchase-order":{"type":"string","description":"Purchase order number."},"customer-id":{"type":"string","description":"A merchant-defined customer identifier."},"order-id":{"type":"string","description":"A merchant-defined order identifier."},"email-address":{"type":"string","description":"The customer's email address."},"description":{"type":"string","description":"Short description of the transaction."},"comments":{"type":"string","description":"Additional comments associated with the transaction."},"billing-is-shipping":{"type":"string","description":"Indicates whether the billing and shipping addresses are the same.","enum":["true","false"]},"status-change-date":{"type":"string","description":"Date and time when the transaction status last changed (UTC)."},"display-message":{"type":"string","description":"A message describing the transaction status."},"provider-transaction-id":{"type":"string","description":"Transaction identifier assigned by the ACH provider."},"trace-number":{"type":"string","description":"ACH trace number associated with a settled or returned transaction."},"settled-date":{"type":"string","description":"Date and time when the transaction was settled (UTC)."},"returned-date":{"type":"string","description":"Date and time when the transaction was returned (UTC)."},"returned-code":{"type":"string","description":"NACHA return code for a returned transaction."},"returned-message":{"type":"string","description":"The description of the return reason."},"ach-token":{"$ref":"#/components/schemas/Ach Token Response"},"merchant-id":{"type":"string","description":"The merchant identifier associated with the token."},"terminal-id":{"type":"string","description":"Identifier of the terminal or API key used to create the transaction."},"software-type":{"type":"string","description":"Name of the software application that submitted the transaction."},"paya-authorization":{"type":"string","description":"Authorization reference returned by the Paya."},"processing-type":{"type":"string","description":"Processing type of the transaction."},"external-transaction-reference":{"type":"string","description":"Identifies the transaction reference provided by the requester and must be unique per requester."},"execution-date":{"type":"string","description":"Date when the ACH transaction is executed."},"token-id":{"type":"string","description":"Identifier for the ACH payment token."},"create-date":{"type":"string","description":"Date when the ACH transaction was created."},"micr-data":{"type":"string","description":"Contains the MICR data printed on the check."},"image-front-edoc-id":{"type":"string","description":"eDocs document ID for the front image of the check."},"image-back-edoc-id":{"type":"string","description":"eDocs document ID for the back image of the check."},"image-front":{"type":"string","description":"Check's front image as Base64."},"image-back":{"type":"string","description":"Check's back image as Base64."}},"description":"This model represents the ach transaction in the response","xml":{"name":"ach-transaction"}},"Address":{"type":"object","properties":{"company":{"type":"string","description":"Company name for the billing address."},"street":{"type":"string","description":"Primary street address."},"street2":{"type":"string","description":"Additional street address information."},"city":{"type":"string","description":"City of the billing address."},"state":{"type":"string","description":"The state of the billing address."},"zip":{"type":"string","description":"Postal code of billing address."},"country":{"type":"string","description":"Country of the billing address."},"phone":{"type":"string","description":"Primary contact phone number."},"first-name":{"type":"string","description":"First name of the contact."},"last-name":{"type":"string","description":"Last name of the contact."}},"description":"Contains shipping address and contact details.","xml":{"name":"address"}},"Ach Token Response":{"type":"object","properties":{"token-id":{"type":"string","description":"Unique identifier of the ACH token."},"times-used":{"type":"integer","description":"Number of times the token has been used in an ACH transaction.","format":"int32"},"last-used":{"type":"string","description":"Date and time when the token was last used (UTC)."},"merchant-id":{"type":"string","description":"The merchant's unique identification number associated with the token."},"routing-number":{"type":"string","description":"Bank routing number"},"account-number":{"type":"string","description":"Masked or last four digits of the bank account number."},"account-type":{"type":"string","description":"Type of the bank account. Possible values: Checking, Savings.","enum":["Checking","Savings"]},"individual-name":{"type":"string","description":"Name associated with the bank account."},"token-description":{"type":"string","description":"A brief description of the ACH token."},"created":{"type":"string","description":"Date and time when the token was created (UTC)."},"updated":{"type":"string","description":"Date and time when the token was last updated (UTC)."},"customer-key":{"type":"string","description":"Unique customer key associated with the token."},"default":{"type":"boolean","description":"Indicates whether this token is the default for the card number."}},"description":"Tokenized ACH account information.","xml":{"name":"ach-token"}},"ErrorResult":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the error type."},"title":{"type":"string","description":"Human-readable summary of the problem."},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32"},"detail":{"type":"string","description":"Detailed explanation of the problem for this occurrence."},"instance":{"type":"string","description":"URI reference that identifies this specific error occurrence."}},"description":"Contains one or more error objects returned"}}}}
```

## Create ACH Transaction

> Create an ACH transaction based on the provided transaction type.

```json
{"openapi":"3.0.1","info":{"title":"ACH Transaction API","version":"2.0"},"paths":{"/rest/v2/ach/transactions":{"post":{"tags":["ACH Transactions"],"summary":"Create ACH Transaction","description":"Create an ACH transaction based on the provided transaction type.","operationId":"handleTransaction","parameters":[{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"requestBody":{"description":"Model of an ach-transaction request","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ach-transaction"}}},"required":true},"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AchTransactionResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AchTransactionResponsePayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}}}}},"components":{"schemas":{"ach-transaction":{"required":["account-number","account-type","routing-number","standard-entry-class-code","type"],"type":"object","properties":{"type":{"type":"string","description":"Type of the ACH transaction.","enum":["Debit","Credit"]},"amount":{"type":"string","description":"The transaction amount."},"status":{"type":"string","description":"Current status of the ACH transaction. Possible values: Pending, Settling, Settled, Returned.","enum":["Pending","Settling","Settled","Returned","Writing","Declined","Not_Confirmed","Sent","Rejected","Funded","Partially_Funded","Completed"]},"checkStatus":{"type":"string","description":"Check status of the ACH transaction. Possible values: Pending, Rejected, Debit Sent, Cancelled.","enum":["Pending","Rejected","Debit Sent","Cancelled","Credit Sent","Unprocessed"]},"fundingStatus":{"type":"string","description":"Funding status of the ACH transaction. Possible values: Pending, No Credit, Credit Sent, Chargeback.","enum":["Pending","No Credit","Credit Sent","Chargeback","Debit Sent","Unprocessed"]},"routing-number":{"type":"string","description":"Bank routing number associated with the transaction."},"account-number":{"type":"string","description":"Last four digits of the bank account number."},"account-type":{"type":"string","description":"Type of bank account.","enum":["Checking","Savings"]},"standard-entry-class-code":{"type":"string","description":"ACH Standard Entry Class (SEC) code. For example, PPD.","enum":["PPD"]},"check-number":{"type":"string","description":"Check number used for duplicate transaction validation."},"individual-name":{"type":"string","description":"Name associated with the bank account."},"id":{"type":"string","description":"Unique identifier of the ACH transaction."},"billing":{"$ref":"#/components/schemas/Address"},"shipping":{"$ref":"#/components/schemas/Address"},"invoice":{"type":"string","description":"Invoice number associated with the transaction."},"purchase-order":{"type":"string","description":"Purchase order number."},"customer-id":{"type":"string","description":"A merchant-defined customer identifier."},"order-id":{"type":"string","description":"A merchant-defined order identifier."},"email-address":{"type":"string","description":"The customer's email address."},"description":{"type":"string","description":"Short description of the transaction."},"comments":{"type":"string","description":"Additional comments associated with the transaction."},"billing-is-shipping":{"type":"string","description":"Indicates whether the billing and shipping addresses are the same.","enum":["true","false"]},"status-change-date":{"type":"string","description":"Date and time when the transaction status last changed (UTC)."},"display-message":{"type":"string","description":"A message describing the transaction status."},"provider-transaction-id":{"type":"string","description":"Transaction identifier assigned by the ACH provider."},"trace-number":{"type":"string","description":"ACH trace number associated with a settled or returned transaction."},"settled-date":{"type":"string","description":"Date and time when the transaction was settled (UTC)."},"returned-date":{"type":"string","description":"Date and time when the transaction was returned (UTC)."},"returned-code":{"type":"string","description":"NACHA return code for a returned transaction."},"returned-message":{"type":"string","description":"The description of the return reason."},"ach-token":{"$ref":"#/components/schemas/Ach Token Response"},"merchant-id":{"type":"string","description":"The merchant identifier associated with the token."},"terminal-id":{"type":"string","description":"Identifier of the terminal or API key used to create the transaction."},"software-type":{"type":"string","description":"Name of the software application that submitted the transaction."},"paya-authorization":{"type":"string","description":"Authorization reference returned by the Paya."},"processing-type":{"type":"string","description":"Processing type of the transaction."},"external-transaction-reference":{"type":"string","description":"Identifies the transaction reference provided by the requester and must be unique per requester."},"execution-date":{"type":"string","description":"Date when the ACH transaction is executed."},"token-id":{"type":"string","description":"Identifier for the ACH payment token."},"create-date":{"type":"string","description":"Date when the ACH transaction was created."},"micr-data":{"type":"string","description":"Contains the MICR data printed on the check."},"image-front-edoc-id":{"type":"string","description":"eDocs document ID for the front image of the check."},"image-back-edoc-id":{"type":"string","description":"eDocs document ID for the back image of the check."},"image-front":{"type":"string","description":"Check's front image as Base64."},"image-back":{"type":"string","description":"Check's back image as Base64."}},"description":"This model represents the ach transaction in the response","xml":{"name":"ach-transaction"}},"Address":{"type":"object","properties":{"company":{"type":"string","description":"Company name for the billing address."},"street":{"type":"string","description":"Primary street address."},"street2":{"type":"string","description":"Additional street address information."},"city":{"type":"string","description":"City of the billing address."},"state":{"type":"string","description":"The state of the billing address."},"zip":{"type":"string","description":"Postal code of billing address."},"country":{"type":"string","description":"Country of the billing address."},"phone":{"type":"string","description":"Primary contact phone number."},"first-name":{"type":"string","description":"First name of the contact."},"last-name":{"type":"string","description":"Last name of the contact."}},"description":"Contains shipping address and contact details.","xml":{"name":"address"}},"Ach Token Response":{"type":"object","properties":{"token-id":{"type":"string","description":"Unique identifier of the ACH token."},"times-used":{"type":"integer","description":"Number of times the token has been used in an ACH transaction.","format":"int32"},"last-used":{"type":"string","description":"Date and time when the token was last used (UTC)."},"merchant-id":{"type":"string","description":"The merchant's unique identification number associated with the token."},"routing-number":{"type":"string","description":"Bank routing number"},"account-number":{"type":"string","description":"Masked or last four digits of the bank account number."},"account-type":{"type":"string","description":"Type of the bank account. Possible values: Checking, Savings.","enum":["Checking","Savings"]},"individual-name":{"type":"string","description":"Name associated with the bank account."},"token-description":{"type":"string","description":"A brief description of the ACH token."},"created":{"type":"string","description":"Date and time when the token was created (UTC)."},"updated":{"type":"string","description":"Date and time when the token was last updated (UTC)."},"customer-key":{"type":"string","description":"Unique customer key associated with the token."},"default":{"type":"boolean","description":"Indicates whether this token is the default for the card number."}},"description":"Tokenized ACH account information.","xml":{"name":"ach-token"}},"AchTransactionResponsePayload":{"type":"object","properties":{"ach-transaction":{"$ref":"#/components/schemas/ach-transaction"},"payloadType":{"type":"string","description":"Type of the payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ErrorResult":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the error type."},"title":{"type":"string","description":"Human-readable summary of the problem."},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32"},"detail":{"type":"string","description":"Detailed explanation of the problem for this occurrence."},"instance":{"type":"string","description":"URI reference that identifies this specific error occurrence."}},"description":"Contains one or more error objects returned"}}}}
```

## Get ACH Transaction by ID

> Retrieve the details of a specific ACH transaction using the provided transaction ID.

```json
{"openapi":"3.0.1","info":{"title":"ACH Transaction API","version":"2.0"},"paths":{"/rest/v2/ach/transactions/{id}":{"get":{"tags":["ACH Transactions"],"summary":"Get ACH Transaction by ID","description":"Retrieve the details of a specific ACH transaction using the provided transaction ID.","operationId":"handleGet","parameters":[{"name":"id","in":"path","description":"Unique identifier of the ACH transaction.","required":true,"schema":{"type":"string"}},{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AchTransactionResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AchTransactionResponsePayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}}}}},"components":{"schemas":{"AchTransactionResponsePayload":{"type":"object","properties":{"ach-transaction":{"$ref":"#/components/schemas/ach-transaction"},"payloadType":{"type":"string","description":"Type of the payload returned in the response.","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"ach-transaction":{"required":["account-number","account-type","routing-number","standard-entry-class-code","type"],"type":"object","properties":{"type":{"type":"string","description":"Type of the ACH transaction.","enum":["Debit","Credit"]},"amount":{"type":"string","description":"The transaction amount."},"status":{"type":"string","description":"Current status of the ACH transaction. Possible values: Pending, Settling, Settled, Returned.","enum":["Pending","Settling","Settled","Returned","Writing","Declined","Not_Confirmed","Sent","Rejected","Funded","Partially_Funded","Completed"]},"checkStatus":{"type":"string","description":"Check status of the ACH transaction. Possible values: Pending, Rejected, Debit Sent, Cancelled.","enum":["Pending","Rejected","Debit Sent","Cancelled","Credit Sent","Unprocessed"]},"fundingStatus":{"type":"string","description":"Funding status of the ACH transaction. Possible values: Pending, No Credit, Credit Sent, Chargeback.","enum":["Pending","No Credit","Credit Sent","Chargeback","Debit Sent","Unprocessed"]},"routing-number":{"type":"string","description":"Bank routing number associated with the transaction."},"account-number":{"type":"string","description":"Last four digits of the bank account number."},"account-type":{"type":"string","description":"Type of bank account.","enum":["Checking","Savings"]},"standard-entry-class-code":{"type":"string","description":"ACH Standard Entry Class (SEC) code. For example, PPD.","enum":["PPD"]},"check-number":{"type":"string","description":"Check number used for duplicate transaction validation."},"individual-name":{"type":"string","description":"Name associated with the bank account."},"id":{"type":"string","description":"Unique identifier of the ACH transaction."},"billing":{"$ref":"#/components/schemas/Address"},"shipping":{"$ref":"#/components/schemas/Address"},"invoice":{"type":"string","description":"Invoice number associated with the transaction."},"purchase-order":{"type":"string","description":"Purchase order number."},"customer-id":{"type":"string","description":"A merchant-defined customer identifier."},"order-id":{"type":"string","description":"A merchant-defined order identifier."},"email-address":{"type":"string","description":"The customer's email address."},"description":{"type":"string","description":"Short description of the transaction."},"comments":{"type":"string","description":"Additional comments associated with the transaction."},"billing-is-shipping":{"type":"string","description":"Indicates whether the billing and shipping addresses are the same.","enum":["true","false"]},"status-change-date":{"type":"string","description":"Date and time when the transaction status last changed (UTC)."},"display-message":{"type":"string","description":"A message describing the transaction status."},"provider-transaction-id":{"type":"string","description":"Transaction identifier assigned by the ACH provider."},"trace-number":{"type":"string","description":"ACH trace number associated with a settled or returned transaction."},"settled-date":{"type":"string","description":"Date and time when the transaction was settled (UTC)."},"returned-date":{"type":"string","description":"Date and time when the transaction was returned (UTC)."},"returned-code":{"type":"string","description":"NACHA return code for a returned transaction."},"returned-message":{"type":"string","description":"The description of the return reason."},"ach-token":{"$ref":"#/components/schemas/Ach Token Response"},"merchant-id":{"type":"string","description":"The merchant identifier associated with the token."},"terminal-id":{"type":"string","description":"Identifier of the terminal or API key used to create the transaction."},"software-type":{"type":"string","description":"Name of the software application that submitted the transaction."},"paya-authorization":{"type":"string","description":"Authorization reference returned by the Paya."},"processing-type":{"type":"string","description":"Processing type of the transaction."},"external-transaction-reference":{"type":"string","description":"Identifies the transaction reference provided by the requester and must be unique per requester."},"execution-date":{"type":"string","description":"Date when the ACH transaction is executed."},"token-id":{"type":"string","description":"Identifier for the ACH payment token."},"create-date":{"type":"string","description":"Date when the ACH transaction was created."},"micr-data":{"type":"string","description":"Contains the MICR data printed on the check."},"image-front-edoc-id":{"type":"string","description":"eDocs document ID for the front image of the check."},"image-back-edoc-id":{"type":"string","description":"eDocs document ID for the back image of the check."},"image-front":{"type":"string","description":"Check's front image as Base64."},"image-back":{"type":"string","description":"Check's back image as Base64."}},"description":"This model represents the ach transaction in the response","xml":{"name":"ach-transaction"}},"Address":{"type":"object","properties":{"company":{"type":"string","description":"Company name for the billing address."},"street":{"type":"string","description":"Primary street address."},"street2":{"type":"string","description":"Additional street address information."},"city":{"type":"string","description":"City of the billing address."},"state":{"type":"string","description":"The state of the billing address."},"zip":{"type":"string","description":"Postal code of billing address."},"country":{"type":"string","description":"Country of the billing address."},"phone":{"type":"string","description":"Primary contact phone number."},"first-name":{"type":"string","description":"First name of the contact."},"last-name":{"type":"string","description":"Last name of the contact."}},"description":"Contains shipping address and contact details.","xml":{"name":"address"}},"Ach Token Response":{"type":"object","properties":{"token-id":{"type":"string","description":"Unique identifier of the ACH token."},"times-used":{"type":"integer","description":"Number of times the token has been used in an ACH transaction.","format":"int32"},"last-used":{"type":"string","description":"Date and time when the token was last used (UTC)."},"merchant-id":{"type":"string","description":"The merchant's unique identification number associated with the token."},"routing-number":{"type":"string","description":"Bank routing number"},"account-number":{"type":"string","description":"Masked or last four digits of the bank account number."},"account-type":{"type":"string","description":"Type of the bank account. Possible values: Checking, Savings.","enum":["Checking","Savings"]},"individual-name":{"type":"string","description":"Name associated with the bank account."},"token-description":{"type":"string","description":"A brief description of the ACH token."},"created":{"type":"string","description":"Date and time when the token was created (UTC)."},"updated":{"type":"string","description":"Date and time when the token was last updated (UTC)."},"customer-key":{"type":"string","description":"Unique customer key associated with the token."},"default":{"type":"boolean","description":"Indicates whether this token is the default for the card number."}},"description":"Tokenized ACH account information.","xml":{"name":"ach-token"}},"ErrorResult":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the error type."},"title":{"type":"string","description":"Human-readable summary of the problem."},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32"},"detail":{"type":"string","description":"Detailed explanation of the problem for this occurrence."},"instance":{"type":"string","description":"URI reference that identifies this specific error occurrence."}},"description":"Contains one or more error objects returned"}}}}
```

## Delete ACH Transaction

> Delete an existing ACH transaction that has not yet been processed with a PENDING status.

```json
{"openapi":"3.0.1","info":{"title":"ACH Transaction API","version":"2.0"},"paths":{"/rest/v2/ach/transactions/{id}":{"delete":{"tags":["ACH Transactions"],"summary":"Delete ACH Transaction","description":"Delete an existing ACH transaction that has not yet been processed with a PENDING status.","operationId":"handleVoid","parameters":[{"name":"id","in":"path","description":"Unique identifier of the ACH transaction.","required":true,"schema":{"type":"string"}},{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AchTransactionsResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AchTransactionsResponsePayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}}}}},"components":{"schemas":{"AchTransactionsResponsePayload":{"type":"object","properties":{"ach-transactions":{"$ref":"#/components/schemas/AchTransactions"},"payloadType":{"type":"string","xml":{"name":"type","attribute":true}}},"description":"Payload","xml":{"name":"payload"}},"AchTransactions":{"type":"object","properties":{"ach-transaction":{"type":"array","items":{"$ref":"#/components/schemas/ach-transaction"}}},"xml":{"name":"ach-transactions"}},"ach-transaction":{"required":["account-number","account-type","routing-number","standard-entry-class-code","type"],"type":"object","properties":{"type":{"type":"string","description":"Type of the ACH transaction.","enum":["Debit","Credit"]},"amount":{"type":"string","description":"The transaction amount."},"status":{"type":"string","description":"Current status of the ACH transaction. Possible values: Pending, Settling, Settled, Returned.","enum":["Pending","Settling","Settled","Returned","Writing","Declined","Not_Confirmed","Sent","Rejected","Funded","Partially_Funded","Completed"]},"checkStatus":{"type":"string","description":"Check status of the ACH transaction. Possible values: Pending, Rejected, Debit Sent, Cancelled.","enum":["Pending","Rejected","Debit Sent","Cancelled","Credit Sent","Unprocessed"]},"fundingStatus":{"type":"string","description":"Funding status of the ACH transaction. Possible values: Pending, No Credit, Credit Sent, Chargeback.","enum":["Pending","No Credit","Credit Sent","Chargeback","Debit Sent","Unprocessed"]},"routing-number":{"type":"string","description":"Bank routing number associated with the transaction."},"account-number":{"type":"string","description":"Last four digits of the bank account number."},"account-type":{"type":"string","description":"Type of bank account.","enum":["Checking","Savings"]},"standard-entry-class-code":{"type":"string","description":"ACH Standard Entry Class (SEC) code. For example, PPD.","enum":["PPD"]},"check-number":{"type":"string","description":"Check number used for duplicate transaction validation."},"individual-name":{"type":"string","description":"Name associated with the bank account."},"id":{"type":"string","description":"Unique identifier of the ACH transaction."},"billing":{"$ref":"#/components/schemas/Address"},"shipping":{"$ref":"#/components/schemas/Address"},"invoice":{"type":"string","description":"Invoice number associated with the transaction."},"purchase-order":{"type":"string","description":"Purchase order number."},"customer-id":{"type":"string","description":"A merchant-defined customer identifier."},"order-id":{"type":"string","description":"A merchant-defined order identifier."},"email-address":{"type":"string","description":"The customer's email address."},"description":{"type":"string","description":"Short description of the transaction."},"comments":{"type":"string","description":"Additional comments associated with the transaction."},"billing-is-shipping":{"type":"string","description":"Indicates whether the billing and shipping addresses are the same.","enum":["true","false"]},"status-change-date":{"type":"string","description":"Date and time when the transaction status last changed (UTC)."},"display-message":{"type":"string","description":"A message describing the transaction status."},"provider-transaction-id":{"type":"string","description":"Transaction identifier assigned by the ACH provider."},"trace-number":{"type":"string","description":"ACH trace number associated with a settled or returned transaction."},"settled-date":{"type":"string","description":"Date and time when the transaction was settled (UTC)."},"returned-date":{"type":"string","description":"Date and time when the transaction was returned (UTC)."},"returned-code":{"type":"string","description":"NACHA return code for a returned transaction."},"returned-message":{"type":"string","description":"The description of the return reason."},"ach-token":{"$ref":"#/components/schemas/Ach Token Response"},"merchant-id":{"type":"string","description":"The merchant identifier associated with the token."},"terminal-id":{"type":"string","description":"Identifier of the terminal or API key used to create the transaction."},"software-type":{"type":"string","description":"Name of the software application that submitted the transaction."},"paya-authorization":{"type":"string","description":"Authorization reference returned by the Paya."},"processing-type":{"type":"string","description":"Processing type of the transaction."},"external-transaction-reference":{"type":"string","description":"Identifies the transaction reference provided by the requester and must be unique per requester."},"execution-date":{"type":"string","description":"Date when the ACH transaction is executed."},"token-id":{"type":"string","description":"Identifier for the ACH payment token."},"create-date":{"type":"string","description":"Date when the ACH transaction was created."},"micr-data":{"type":"string","description":"Contains the MICR data printed on the check."},"image-front-edoc-id":{"type":"string","description":"eDocs document ID for the front image of the check."},"image-back-edoc-id":{"type":"string","description":"eDocs document ID for the back image of the check."},"image-front":{"type":"string","description":"Check's front image as Base64."},"image-back":{"type":"string","description":"Check's back image as Base64."}},"description":"This model represents the ach transaction in the response","xml":{"name":"ach-transaction"}},"Address":{"type":"object","properties":{"company":{"type":"string","description":"Company name for the billing address."},"street":{"type":"string","description":"Primary street address."},"street2":{"type":"string","description":"Additional street address information."},"city":{"type":"string","description":"City of the billing address."},"state":{"type":"string","description":"The state of the billing address."},"zip":{"type":"string","description":"Postal code of billing address."},"country":{"type":"string","description":"Country of the billing address."},"phone":{"type":"string","description":"Primary contact phone number."},"first-name":{"type":"string","description":"First name of the contact."},"last-name":{"type":"string","description":"Last name of the contact."}},"description":"Contains shipping address and contact details.","xml":{"name":"address"}},"Ach Token Response":{"type":"object","properties":{"token-id":{"type":"string","description":"Unique identifier of the ACH token."},"times-used":{"type":"integer","description":"Number of times the token has been used in an ACH transaction.","format":"int32"},"last-used":{"type":"string","description":"Date and time when the token was last used (UTC)."},"merchant-id":{"type":"string","description":"The merchant's unique identification number associated with the token."},"routing-number":{"type":"string","description":"Bank routing number"},"account-number":{"type":"string","description":"Masked or last four digits of the bank account number."},"account-type":{"type":"string","description":"Type of the bank account. Possible values: Checking, Savings.","enum":["Checking","Savings"]},"individual-name":{"type":"string","description":"Name associated with the bank account."},"token-description":{"type":"string","description":"A brief description of the ACH token."},"created":{"type":"string","description":"Date and time when the token was created (UTC)."},"updated":{"type":"string","description":"Date and time when the token was last updated (UTC)."},"customer-key":{"type":"string","description":"Unique customer key associated with the token."},"default":{"type":"boolean","description":"Indicates whether this token is the default for the card number."}},"description":"Tokenized ACH account information.","xml":{"name":"ach-token"}},"ErrorResult":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the error type."},"title":{"type":"string","description":"Human-readable summary of the problem."},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32"},"detail":{"type":"string","description":"Detailed explanation of the problem for this occurrence."},"instance":{"type":"string","description":"URI reference that identifies this specific error occurrence."}},"description":"Contains one or more error objects returned"}}}}
```

## Get ACH Transaction Status History

> Retrieve the status history for a specific ACH transaction.

```json
{"openapi":"3.0.1","info":{"title":"ACH Transaction API","version":"2.0"},"paths":{"/rest/v2/ach/transactions/status/history/{id}":{"get":{"tags":["ACH Transactions"],"summary":"Get ACH Transaction Status History","description":"Retrieve the status history for a specific ACH transaction.","operationId":"getTransactionStatusHistory","parameters":[{"name":"id","in":"path","description":"Unique identifier of the ACH transaction.","required":true,"schema":{"type":"string"}},{"name":"api-key","in":"header","description":"An access API key issued to you by Xplor Pay.","required":true,"schema":{"type":"string"}}],"responses":{"200":{"description":"ok","content":{"application/json":{"schema":{"$ref":"#/components/schemas/AchTransactionStatusesResponsePayload"}},"application/xml":{"schema":{"$ref":"#/components/schemas/AchTransactionStatusesResponsePayload"}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"403":{"description":"Forbidden","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}},"404":{"description":"Not Found","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ErrorResult"}},"application/xml":{"schema":{"$ref":"#/components/schemas/ErrorResult"}}}}}}}},"components":{"schemas":{"AchTransactionStatusesResponsePayload":{"type":"object","properties":{"ach-transaction-statuses":{"$ref":"#/components/schemas/ach-transaction-statuses"},"payloadType":{"type":"string","description":"Type of the payload returned in the response.","xml":{"name":"type","attribute":true}}},"xml":{"name":"payload"}},"ach-transaction-statuses":{"type":"object","properties":{"ach-transaction-status":{"type":"array","items":{"$ref":"#/components/schemas/ach-transaction-status"}}},"description":"Contains the list of status records associated with the ACH transaction.","xml":{"name":"ach-transaction-statuses"}},"ach-transaction-status":{"type":"object","properties":{"status":{"type":"string","description":"Current processing status of an ACH transaction. Possible values are Pending, Settling, Settled, Returned, Writing, Declined, Not_Confirmed, Sent, Rejected, Funded, Partially_Funded and Completed."},"check-status":{"type":"string","description":"Check processing status for the transaction."},"funding-status":{"type":"string","description":"Funding progress status for the transaction."},"created-date":{"type":"string","description":"Date and time when the transaction status record was created (UTC). Format: ISO 8601 (YYYY-MM-DDTHH:mm:ssZ)."}},"description":"Represents the current processing status details of an ACH transaction.","xml":{"name":"ach-transaction-status"}},"ErrorResult":{"type":"object","properties":{"type":{"type":"string","description":"A URI reference that identifies the error type."},"title":{"type":"string","description":"Human-readable summary of the problem."},"status":{"type":"integer","description":"HTTP status code of the response.","format":"int32"},"detail":{"type":"string","description":"Detailed explanation of the problem for this occurrence."},"instance":{"type":"string","description":"URI reference that identifies this specific error occurrence."}},"description":"Contains one or more error objects returned"}}}}
```
